package calendarscheduling;

import TestAttendanceAllowance.beforlog;
import com.engine.attendance.component.calendarscheduling.service.WorkRulesService;
import com.engine.attendance.component.calendarscheduling.service.impl.WorkRulesServiceImpl;
import com.engine.common.util.ServiceUtil;
import com.google.common.collect.Maps;
import weaver.hrm.User;

import java.util.Map;

public class TestgetDepartSchedule extends beforlog {
    private WorkRulesService getReportCollectService(User user) {
        return ServiceUtil.getService(WorkRulesServiceImpl.class,user);
    }
    @org.junit.Test
    public void test2() throws Exception{
        Map<String,Object> param = Maps.newHashMap();
        param.put("dateTime","2024-05");
        param.put("pageSize","10");
        param.put("pageindex","1");
        param.put("deparment","");
        param.put("type","0");
        param.put("subcompany","521");
        param.put("tableName","uf_pbjg");
        User user = new User(23);
        Map<String, Object>  result =getReportCollectService(user).getDepartSchedule(param);
        System.out.println(result);

    }
}
